# Class CIM_ElementSetting

ElementSetting represents the association between ManagedSystemElements and the Setting classes defined for them.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementSetting

## Direct Known Subclasses

CIM_DefaultSetting
CIM_DiagnosticSettingForTest
CIM_MonitorSetting
CIM_VideoSetting

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ElementSetting represents the association between ManagedSystemElements and the Setting classes defined for them.
UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Element | CIM_ElementSetting | CIM_ManagedSystemElement
Setting | CIM_ElementSetting | CIM_Setting

## Class Methods